package org.sky.scientific.excel.annotation;

import jakarta.validation.Constraint;
import jakarta.validation.Payload;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target({ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
@Constraint(validatedBy = DateFormatValidator.class)
public @interface ValidDateFormat {
	String message() default "日期格式不正确";
	String pattern() default "yyyy-MM-dd";
	Class<?>[] groups() default {};
	Class<? extends Payload>[] payload() default {};
	boolean nullable() default false; // 是否允许为空
}
